Bug 789879 - Firefox 10 crashes when printing [ @ _cairo_pdf_surface_emit_image() ]
Firefox 10 crashes when printing [ @ _cairo_pdf_surface_emit_image() ]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
16
x86_64 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 02:08 EST by Ralf Spenneberg
Modified: 2013-02-13 15:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:43:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stacktrace (92.84 KB, text/plain)
2012-02-14 01:54 EST, Ralf Spenneberg
no flags Details
GDB-Output (5.23 KB, text/plain)
2012-02-14 01:55 EST, Ralf Spenneberg
no flags Details

  None (edit)
Description Ralf Spenneberg 2012-02-13 02:08:33 EST
Description of problem:
Firefox 10 crashes when printing

Version-Release number of selected component (if applicable):
firefox-10.0-2.fc16.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Start firefox
2. Open Webpage
3. Print
  
Actual results: 
Firefox crashes


Expected results:
Firefox prints

Additional info:

Using Firefox 10.0.1 from Mozilla.org works fine.
Comment 1 Ralf Spenneberg 2012-02-13 02:10:03 EST
See: https://support.mozilla.org/de/questions/917643
Comment 2 Martin Stransky 2012-02-13 02:46:58 EST
How do you save the page? By Print -> Print to file?
Comment 3 Ralf Spenneberg 2012-02-13 03:25:16 EST
Actually forget about saving. It even crashes when just trying to print.

The little popop: "Preparing the Print" shows up and then firefox crashes.
Comment 4 Martin Stransky 2012-02-13 03:47:00 EST
Cau you attach the backtrace?

Install debug-info packages (#debuginfo-install firefox xulrunner) and then get the bactrace - http://fedoraproject.org/wiki/StackTraces#gdb
Comment 5 Martin Stransky 2012-02-13 04:15:13 EST
Or https://fedoraproject.org/wiki/StackTraces#Firefox
Comment 6 Ralf Spenneberg 2012-02-14 01:53:43 EST
I had to install a lot of debuginfo packages to actually get it to run. There are several windows open, this causes a lot of threads. Anyway, attached is the debugger output and the stacktrace.
Comment 7 Ralf Spenneberg 2012-02-14 01:54:26 EST
Created attachment 561772 [details]
Stacktrace
Comment 8 Ralf Spenneberg 2012-02-14 01:55:36 EST
Created attachment 561775 [details]
GDB-Output
Comment 9 Martin Stransky 2012-02-14 02:45:48 EST
hm a crash in _cairo_pdf_surface_emit_image().
Comment 10 Martin Stransky 2012-02-14 12:37:08 EST
Seems to be a crash in system cairo library:

0x7ffff365da98 "image->format == CAIRO_FORMAT_RGB24 || image->format == CAIRO_FORMAT_ARGB32 || image->format == CAIRO_FORMAT_A8 || image->format == CAIRO_FORMAT_A1", file=0x7ffff365ef38 "cairo-pdf-surface.c", line=<optimized out>, 

firefox: cairo-pdf-surface.c:1913: _cairo_pdf_surface_emit_image: Assertion `image->format == CAIRO_FORMAT_RGB24 || image->format == CAIRO_FORMAT_ARGB32 || image->format == CAIRO_FORMAT_A8 || image->format == CAIRO_FORMAT_A1' failed.

What is the image->format?

Firefox from mozilla.org runs internal cairo, so it may be the reason why it works.
Comment 11 Ralf Spenneberg 2012-02-15 00:56:42 EST
I don't know the image->format. What I do know is that I am trying to print any common web page on either DinA4 or Letter paper. 

Does that help?
Comment 12 Ralf Spenneberg 2012-02-15 00:58:06 EST
These are the installed cairo packages on my system:
cairo-devel-1.10.2-4.fc16.x86_64
pycairo-1.8.8-2.fc14.x86_64
cairo-1.10.2-4.fc16.x86_64
cairo-1.10.2-4.fc16.i686
cairomm-devel-1.10.0-1.fc16.x86_64
cairomm-1.10.0-1.fc16.x86_64
cairo-gobject-1.10.2-4.fc16.i686
ruby-cairo-1.10.2-1.fc16.x86_64
cairo-gobject-devel-1.10.2-4.fc16.x86_64
cairo-gobject-1.10.2-4.fc16.x86_64
rubygem-cairo-1.10.2-1.fc16.x86_64
cairo-debuginfo-1.10.2-4.fc16.x86_64
Comment 13 Ralf Spenneberg 2012-02-20 12:49:30 EST
Still the same with firefox-10.0.1-1.fc16.x86_64
Comment 14 Fedora End Of Life 2013-01-16 11:44:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora End Of Life 2013-02-13 15:43:15 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.